メインコンテンツへスキップ
GET
/
automation
/
v4
/
actions
/
{appId}
カスタムアクション定義を取得
curl --request GET \
  --url https://api.hubapi.com/automation/v4/actions/{appId} \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "actionUrl": "<string>",
      "functions": [
        {
          "functionType": "POST_ACTION_EXECUTION",
          "id": "<string>"
        }
      ],
      "id": "<string>",
      "inputFields": [
        {
          "isRequired": true,
          "typeDefinition": {
            "name": "<string>",
            "options": [
              {
                "label": "<string>",
                "value": "<string>",
                "description": "<string>",
                "displayOrder": 123
              }
            ],
            "type": "bool",
            "description": "<string>",
            "fieldType": "booleancheckbox",
            "helpText": "<string>",
            "label": "<string>",
            "optionsUrl": "<string>",
            "referencedObjectType": "OWNER"
          },
          "supportedValueTypes": [
            "STATIC_VALUE"
          ]
        }
      ],
      "labels": {},
      "objectTypes": [
        "<string>"
      ],
      "published": true,
      "revisionId": "<string>",
      "archivedAt": 123,
      "executionRules": [
        {
          "conditions": {},
          "labelName": "<string>"
        }
      ],
      "inputFieldDependencies": [
        {
          "controllingFieldName": "<string>",
          "dependencyType": "SINGLE_FIELD",
          "dependentFieldNames": [
            "<string>"
          ]
        }
      ],
      "objectRequestOptions": {
        "properties": [
          "<string>"
        ]
      },
      "outputFields": [
        {
          "typeDefinition": {
            "externalOptions": true,
            "name": "<string>",
            "options": [
              {
                "description": "<string>",
                "displayOrder": 123,
                "doubleData": 123,
                "hidden": true,
                "label": "<string>",
                "readOnly": true,
                "value": "<string>"
              }
            ],
            "schema": {
              "type": "INTEGER",
              "maximum": 123,
              "minimum": 123
            },
            "type": "bool",
            "useChirp": true,
            "description": "<string>",
            "externalOptionsReferenceType": "<string>",
            "fieldType": "booleancheckbox",
            "helpText": "<string>",
            "label": "<string>",
            "optionsUrl": "<string>",
            "referencedObjectType": "ABANDONED_CART"
          }
        }
      ]
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

appId
integer<int32>
必須

クエリパラメータ

after
string

最後に正常に読み取られたリソースのページ操作カーソルトークンは、より多くの結果を含むページ付きレスポンスのpaging.next.after JSONプロパティーとして返されます。

archived
boolean
デフォルト:false

アーカイブ済みの結果のみを返すかどうか。

limit
integer<int32>

ページごとに表示する結果の最大数。

レスポンス

successful operation

results
object[]
必須
paging
object
Last modified on April 13, 2026